Search documentation of tiger_stripe

# Stripe.Services.CustomerSessionService (tiger_stripe v0.1.1)

Copy Markdown View Source

CustomerSessionResourceCustomerSession

A Customer Session allows you to grant Stripe's frontend SDKs (like Stripe.js) client-side access control over a Customer.

Related guides: Customer Session with the Payment Element, Customer Session with the Pricing Table, Customer Session with the Buy Button.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Customer Session

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a Customer Session

Creates a Customer Session object that includes a single-use client secret that you can use on your front-end to grant client-side API access for certain customer resources.